cudnn_frontend::OperationBuilder_v8
cudnn_frontend_Operation.h
const char * using cudnn_frontend::OperationBuilder_v8::Message_t = const char * Message_t
Operation_v8 Operation_v8 cudnn_frontend::OperationBuilder_v8::m_operation m_operation
bool bool cudnn_frontend::OperationBuilder_v8::is_convolution_op is_convolution_op = false
bool bool cudnn_frontend::OperationBuilder_v8::is_pointwise_op is_pointwise_op = false
bool bool cudnn_frontend::OperationBuilder_v8::is_matmul_op is_matmul_op = false
bool bool cudnn_frontend::OperationBuilder_v8::is_reduction_op is_reduction_op = false
int64_t int64_t cudnn_frontend::OperationBuilder_v8::xTensor_dimA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] xTensor_dimA
int64_t int64_t cudnn_frontend::OperationBuilder_v8::xTensor_strA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] xTensor_strA
int64_t int64_t cudnn_frontend::OperationBuilder_v8::wTensor_dimA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] wTensor_dimA
int64_t int64_t cudnn_frontend::OperationBuilder_v8::wTensor_strA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] wTensor_strA
int64_t int64_t cudnn_frontend::OperationBuilder_v8::yTensor_dimA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] yTensor_dimA
int64_t int64_t cudnn_frontend::OperationBuilder_v8::yTensor_strA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] yTensor_strA
bool bool cudnn_frontend::OperationBuilder_v8::is2D is2D = true
int64_t int64_t cudnn_frontend::OperationBuilder_v8::conv_padding[CUDNN_DIM_MAX] [CUDNN_DIM_MAX] conv_padding
int64_t int64_t cudnn_frontend::OperationBuilder_v8::conv_dilation[CUDNN_DIM_MAX] [CUDNN_DIM_MAX] conv_dilation
int64_t int64_t cudnn_frontend::OperationBuilder_v8::conv_stride[CUDNN_DIM_MAX] [CUDNN_DIM_MAX] conv_stride
int64_t int64_t cudnn_frontend::OperationBuilder_v8::mode mode
int64_t int64_t cudnn_frontend::OperationBuilder_v8::xType xType
int64_t int64_t cudnn_frontend::OperationBuilder_v8::yType yType
int64_t int64_t cudnn_frontend::OperationBuilder_v8::wType wType
int64_t int64_t cudnn_frontend::OperationBuilder_v8::cType cType
int64_t int64_t cudnn_frontend::OperationBuilder_v8::tensor_dims tensor_dims = 0
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build_reduction_op () build_reduction_op cudnn_frontend::Operation_v8::operationTag cudnn_frontend::BackendDescriptor::pointer cudnn_frontend::Operation_v8::reductiondesc cudnn_frontend::set_error_and_throw_exception cudnn_frontend::BackendDescriptor::status cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build_matmul_op () build_matmul_op cudnn_frontend::Operation_v8::amatdesc cudnn_frontend::Operation_v8::bmatdesc cudnn_frontend::Operation_v8::cmatdesc cudnn_frontend::Operation_v8::matmuldesc cudnn_frontend::Operation_v8::operationTag cudnn_frontend::BackendDescriptor::pointer cudnn_frontend::set_error_and_throw_exception cudnn_frontend::BackendDescriptor::status
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build_pointwise_op () build_pointwise_op cudnn_frontend::Operation_v8::alpha2_d cudnn_frontend::Operation_v8::alpha2_s cudnn_frontend::Operation_v8::alpha_d cudnn_frontend::Operation_v8::alpha_s cudnn_frontend::Operation_v8::alphabetaType cudnn_frontend::Operation_v8::bdesc cudnn_frontend::Operation_v8::dxdesc cudnn_frontend::Operation_v8::dydesc cudnn_frontend::Operation_v8::is_pointwise_activation_bwd_op cudnn_frontend::Operation_v8::operationTag cudnn_frontend::BackendDescriptor::pointer cudnn_frontend::Operation_v8::pointwise_mode cudnn_frontend::Operation_v8::pointwise_port_count cudnn_frontend::Operation_v8::pwdesc cudnn_frontend::set_error_and_throw_exception cudnn_frontend::BackendDescriptor::status cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build_conv_backward_data () build_conv_backward_data cudnn_frontend::Operation_v8::alpha_d cudnn_frontend::Operation_v8::alpha_s cudnn_frontend::Operation_v8::alphabetaType cudnn_frontend::Operation_v8::beta_d cudnn_frontend::Operation_v8::beta_s cudnn_frontend::Operation_v8::cdesc cudnn_frontend::Operation_v8::dxdesc cudnn_frontend::Operation_v8::dydesc cudnn_frontend::getLogger cudnn_frontend::Operation_v8::operationTag cudnn_frontend::BackendDescriptor::pointer cudnn_frontend::set_error_and_throw_exception cudnn_frontend::BackendDescriptor::status cudnn_frontend::Operation_v8::wdesc cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build_conv_backward_filter () build_conv_backward_filter cudnn_frontend::Operation_v8::alpha_d cudnn_frontend::Operation_v8::alpha_s cudnn_frontend::Operation_v8::alphabetaType cudnn_frontend::Operation_v8::beta_d cudnn_frontend::Operation_v8::beta_s cudnn_frontend::Operation_v8::cdesc cudnn_frontend::Operation_v8::dwdesc cudnn_frontend::Operation_v8::dydesc cudnn_frontend::getLogger cudnn_frontend::Operation_v8::operationTag cudnn_frontend::BackendDescriptor::pointer cudnn_frontend::set_error_and_throw_exception cudnn_frontend::BackendDescriptor::status cudnn_frontend::Operation_v8::wdesc cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build_conv_forward () build_conv_forward cudnn_frontend::Operation_v8::alpha_d cudnn_frontend::Operation_v8::alpha_s cudnn_frontend::Operation_v8::alphabetaType cudnn_frontend::Operation_v8::beta_d cudnn_frontend::Operation_v8::beta_s cudnn_frontend::Operation_v8::cdesc cudnn_frontend::getLogger cudnn_frontend::Operation_v8::operationTag cudnn_frontend::BackendDescriptor::pointer cudnn_frontend::set_error_and_throw_exception cudnn_frontend::BackendDescriptor::status cudnn_frontend::Operation_v8::wdesc cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
void void cudnn_frontend::OperationBuilder_v8::extract_feature_vector (cudnnBackendDescriptorType_t op_type) extract_feature_vector cudnnBackendDescriptorType_t op_type

Build the feature vector of this operation now.

Padding

Dilation

Strides

cudnn_frontend::Operation_v8::feature_vector
cudnnStatus_t cudnnStatus_t cudnn_frontend::OperationBuilder_v8::validate_matmul_op (Message_t &msg) validate_matmul_op Message_t & msg cudnn_frontend::Operation_v8::amatdesc cudnn_frontend::Operation_v8::bmatdesc cudnn_frontend::Operation_v8::cmatdesc cudnn_frontend::Operation_v8::matmuldesc
cudnnStatus_t cudnnStatus_t cudnn_frontend::OperationBuilder_v8::validate_reduction_op (Message_t &msg) validate_reduction_op Message_t & msg cudnn_frontend::Operation_v8::reductiondesc cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
cudnnStatus_t cudnnStatus_t cudnn_frontend::OperationBuilder_v8::validate_pointwise_op (Message_t &msg) validate_pointwise_op Message_t & msg cudnn_frontend::Operation_v8::bdesc cudnn_frontend::Operation_v8::dxdesc cudnn_frontend::Operation_v8::dydesc cudnn_frontend::Operation_v8::is_pointwise_activation_bwd_op cudnn_frontend::Operation_v8::is_pointwise_activation_fwd_op cudnn_frontend::Operation_v8::is_pointwise_math_op cudnn_frontend::Operation_v8::pointwise_port_count cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
cudnnStatus_t cudnnStatus_t cudnn_frontend::OperationBuilder_v8::validate_convolution_op (Message_t &msg) validate_convolution_op Message_t & msg cudnn_frontend::Operation_v8::cdesc cudnn_frontend::Operation_v8::dwdesc cudnn_frontend::Operation_v8::dxdesc cudnn_frontend::Operation_v8::dydesc cudnn_frontend::Operation_v8::op_mode cudnn_frontend::Operation_v8::wdesc cudnn_frontend::Operation_v8::xdesc cudnn_frontend::Operation_v8::ydesc
void void cudnn_frontend::OperationBuilder_v8::copy_dims_and_strides (const int64_t *from, int64_t *to) const copy_dims_and_strides const int64_t * from int64_t * to
auto auto cudnn_frontend::OperationBuilder_v8::setxDesc (ManagedOpaqueDescriptor const &raw_tensor) -> OperationBuilder_v8 & setxDesc ManagedOpaqueDescriptor const & raw_tensor

Will be Deprecated Do not use.

cudnn_frontend::Operation_v8::xdesc
auto auto cudnn_frontend::OperationBuilder_v8::setxDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setxDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::xdesc
auto auto cudnn_frontend::OperationBuilder_v8::setbDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setbDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::bdesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setyDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setyDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::ydesc
auto auto cudnn_frontend::OperationBuilder_v8::setwDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setwDesc Tensor_v8 const & tensor cudnn_frontend::set_error_and_throw_exception cudnn_frontend::Operation_v8::wdesc
auto auto cudnn_frontend::OperationBuilder_v8::setdyDesc (ManagedOpaqueDescriptor const &raw_tensor) -> OperationBuilder_v8 & setdyDesc ManagedOpaqueDescriptor const & raw_tensor

Will be Deprecated Do not use.

cudnn_frontend::Operation_v8::dydesc
auto auto cudnn_frontend::OperationBuilder_v8::setdyDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setdyDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::dydesc
auto auto cudnn_frontend::OperationBuilder_v8::setdxDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setdxDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::dxdesc
auto auto cudnn_frontend::OperationBuilder_v8::setdwDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setdwDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::dwdesc
auto auto cudnn_frontend::OperationBuilder_v8::setcDesc (ConvDesc_v8 const &conv) -> OperationBuilder_v8 & setcDesc ConvDesc_v8 const & conv cudnn_frontend::Operation_v8::alphabetaType cudnn_frontend::Operation_v8::cdesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setaMatDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setaMatDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::amatdesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setbMatDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setbMatDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::bmatdesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setcMatDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 & setcMatDesc Tensor_v8 const & tensor cudnn_frontend::Operation_v8::cmatdesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setmatmulDesc (MatMulDesc_v8 const &matmulDesc) -> OperationBuilder_v8 & setmatmulDesc MatMulDesc_v8 const & matmulDesc cudnn_frontend::Operation_v8::matmuldesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setreductionDesc (ReductionDesc_v8 const &reductionDesc) -> OperationBuilder_v8 & setreductionDesc ReductionDesc_v8 const & reductionDesc cudnn_frontend::Operation_v8::reductiondesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setpwDesc (PointWiseDesc_v8 const &pointWiseDesc) -> OperationBuilder_v8 & setpwDesc PointWiseDesc_v8 const & pointWiseDesc cudnn_frontend::Operation_v8::is_pointwise_activation_bwd_op cudnn_frontend::Operation_v8::is_pointwise_activation_fwd_op cudnn_frontend::Operation_v8::is_pointwise_math_op cudnn_frontend::Operation_v8::pointwise_mode cudnn_frontend::Operation_v8::pointwise_port_count cudnn_frontend::Operation_v8::pwdesc cudnn_frontend::set_error_and_throw_exception
auto auto cudnn_frontend::OperationBuilder_v8::setAlpha (float alpha) -> OperationBuilder_v8 & setAlpha float alpha cudnn_frontend::Operation_v8::alpha_d cudnn_frontend::Operation_v8::alpha_s
auto auto cudnn_frontend::OperationBuilder_v8::setAlpha (double alpha) -> OperationBuilder_v8 & setAlpha double alpha cudnn_frontend::Operation_v8::alpha_d cudnn_frontend::Operation_v8::alpha_s
auto auto cudnn_frontend::OperationBuilder_v8::setAlpha2 (float alpha) -> OperationBuilder_v8 & setAlpha2 float alpha cudnn_frontend::Operation_v8::alpha2_d cudnn_frontend::Operation_v8::alpha2_s
auto auto cudnn_frontend::OperationBuilder_v8::setAlpha2 (double alpha) -> OperationBuilder_v8 & setAlpha2 double alpha cudnn_frontend::Operation_v8::alpha2_d cudnn_frontend::Operation_v8::alpha2_s
auto auto cudnn_frontend::OperationBuilder_v8::setBeta (float beta) -> OperationBuilder_v8 & setBeta float beta cudnn_frontend::Operation_v8::beta_d cudnn_frontend::Operation_v8::beta_s
auto auto cudnn_frontend::OperationBuilder_v8::setBeta (double beta) -> OperationBuilder_v8 & setBeta double beta cudnn_frontend::Operation_v8::beta_d cudnn_frontend::Operation_v8::beta_s
cudnn_frontend::OperationBuilder_v8::OperationBuilder_v8
(cudnnBackendDescriptorType_t mode)
OperationBuilder_v8
cudnnBackendDescriptorType_t mode
cudnn_frontend::Operation_v8::op_mode
Operation_v8 && Operation_v8&& cudnn_frontend::OperationBuilder_v8::build () build

constructs the backend Operation_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::getLogger
cudnn_frontend::BackendDescriptor::initialize_managed_backend_pointer
cudnn_frontend::Operation_v8::op_mode
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status

OperationBuilder_v8 Class Helper class used to build Operation_v8 class

cudnn_frontend::OperationBuilder_v8
-yType
-yTensor_strA
-wTensor_dimA
-xTensor_dimA
-yTensor_dimA
-conv_dilation
-conv_stride
-tensor_dims
-cType
-mode
...
-is_matmul_op
-is2D
-is_pointwise_op
-is_convolution_op
-is_reduction_op
-m_operation
shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
cudnn_frontend::Operation_v8
-alpha2_d
-alpha_d
-beta_d
-alphabetaType
-pointwise_mode
-alpha_s
-beta_s
-alpha2_s
-pointwise_port_count
-feature_vector
-operationTag
-is_pointwise_math_op
-is_pointwise_activation_fwd_op
-is_pointwise_activation_bwd_op
-dwdesc
-dxdesc
-dydesc
-bdesc
-pwdesc
-cdesc
-reductiondesc
-wdesc
-xdesc
-ydesc
...
-op_mode
std::vector< int64_t >
+elements
< int64_t >
float
cudnnPointwiseMode_t
cudnnBackendAttributeType_t
cudnnStatus_t
std::basic_string< char >
double
cudnnBackendDescriptorType_t
bool
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::OperationBuilder_v8
  build
- cudnn_frontend::OperationBuilder_v8
  build_conv_backward_data
- cudnn_frontend::OperationBuilder_v8
  build_conv_backward_filter
- cudnn_frontend::OperationBuilder_v8
  build_conv_forward
- cudnn_frontend::OperationBuilder_v8
  build_matmul_op
- cudnn_frontend::OperationBuilder_v8
  build_pointwise_op
- cudnn_frontend::OperationBuilder_v8
  build_reduction_op
- cudnn_frontend::OperationBuilder_v8
  conv_dilation
- cudnn_frontend::OperationBuilder_v8
  conv_padding
- cudnn_frontend::OperationBuilder_v8
  conv_stride
- cudnn_frontend::OperationBuilder_v8
  copy_dims_and_strides
- cudnn_frontend::OperationBuilder_v8
  cType
- cudnn_frontend::OperationBuilder_v8
  extract_feature_vector
- cudnn_frontend::OperationBuilder_v8
  is2D
- cudnn_frontend::OperationBuilder_v8
  is_convolution_op
- cudnn_frontend::OperationBuilder_v8
  is_matmul_op
- cudnn_frontend::OperationBuilder_v8
  is_pointwise_op
- cudnn_frontend::OperationBuilder_v8
  is_reduction_op
- cudnn_frontend::OperationBuilder_v8
  m_operation
- cudnn_frontend::OperationBuilder_v8
  Message_t
- cudnn_frontend::OperationBuilder_v8
  mode
- cudnn_frontend::OperationBuilder_v8
  OperationBuilder_v8
- cudnn_frontend::OperationBuilder_v8
  setAlpha
- cudnn_frontend::OperationBuilder_v8
  setAlpha
- cudnn_frontend::OperationBuilder_v8
  setAlpha2
- cudnn_frontend::OperationBuilder_v8
  setAlpha2
- cudnn_frontend::OperationBuilder_v8
  setaMatDesc
- cudnn_frontend::OperationBuilder_v8
  setbDesc
- cudnn_frontend::OperationBuilder_v8
  setBeta
- cudnn_frontend::OperationBuilder_v8
  setBeta
- cudnn_frontend::OperationBuilder_v8
  setbMatDesc
- cudnn_frontend::OperationBuilder_v8
  setcDesc
- cudnn_frontend::OperationBuilder_v8
  setcMatDesc
- cudnn_frontend::OperationBuilder_v8
  setdwDesc
- cudnn_frontend::OperationBuilder_v8
  setdxDesc
- cudnn_frontend::OperationBuilder_v8
  setdyDesc
- cudnn_frontend::OperationBuilder_v8
  setdyDesc
- cudnn_frontend::OperationBuilder_v8
  setmatmulDesc
- cudnn_frontend::OperationBuilder_v8
  setpwDesc
- cudnn_frontend::OperationBuilder_v8
  setreductionDesc
- cudnn_frontend::OperationBuilder_v8
  setwDesc
- cudnn_frontend::OperationBuilder_v8
  setxDesc
- cudnn_frontend::OperationBuilder_v8
  setxDesc
- cudnn_frontend::OperationBuilder_v8
  setyDesc
- cudnn_frontend::OperationBuilder_v8
  tensor_dims
- cudnn_frontend::OperationBuilder_v8
  validate_convolution_op
- cudnn_frontend::OperationBuilder_v8
  validate_matmul_op
- cudnn_frontend::OperationBuilder_v8
  validate_pointwise_op
- cudnn_frontend::OperationBuilder_v8
  validate_reduction_op
- cudnn_frontend::OperationBuilder_v8
  wTensor_dimA
- cudnn_frontend::OperationBuilder_v8
  wTensor_strA
- cudnn_frontend::OperationBuilder_v8
  wType
- cudnn_frontend::OperationBuilder_v8
  xTensor_dimA
- cudnn_frontend::OperationBuilder_v8
  xTensor_strA
- cudnn_frontend::OperationBuilder_v8
  xType
- cudnn_frontend::OperationBuilder_v8
  yTensor_dimA
- cudnn_frontend::OperationBuilder_v8
  yTensor_strA
- cudnn_frontend::OperationBuilder_v8
  yType